Get available dates for a sport
curl --request GET \
--url https://therundown.io/api/v1/sports/{sportID}/dates \
--header 'X-TheRundown-Key: <api-key>'import requests
url = "https://therundown.io/api/v1/sports/{sportID}/dates"
headers = {"X-TheRundown-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-TheRundown-Key': '<api-key>'}};
fetch('https://therundown.io/api/v1/sports/{sportID}/dates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dates": [
"2026-02-13T00:30:00+0000",
"2026-02-14T00:00:00+0000",
"2026-02-15T00:00:00+0000"
]
}V1 Sports (Legacy)
Get available dates for a sport
GET
/
api
/
v1
/
sports
/
{sportID}
/
dates
Get available dates for a sport
Authorizations
Recommended API key request header for new integrations
Path Parameters
Sport ID. Common values: 1=NCAAF, 2=NFL, 3=MLB, 4=NBA, 5=NCAAB, 6=NHL, 7=UFC, 8=WNBA, 9=CFL, 10=MLS, 11=EPL, 16=UEFA Champions League, 33=UEFA Europa League, 38=ATP Tennis, 39=WTA Tennis, 40=PGA Tour Golf, 41=Formula 1
Query Parameters
UTC offset in minutes for the date boundary. Use 300 for US Central, 240 for Eastern, 360 for Mountain, 420 for Pacific. Without this, the API day boundary is midnight UTC.
Example:
300
Date format — iso8601 returns date strings, epoch returns Unix timestamps
Available options:
iso8601, epoch Response
200 - application/json
Dates